Subject: Re: linux-next: build failure after merge of the clk tree

From: Mike Turquette <[email-masked]>
Date: Wed, 04 Mar 2015 16:15:03 -0800

Quoting Geert Uytterhoeven (2015-03-04 01:56:42)
> On Fri, Feb 27, 2015 at 6:42 PM, Stephen Boyd <[email-masked]> wrote:
> > The problem is the patch was written before struct clk_core moved into
> > the clk.c file and then applied after it moved. So before the move the
> > order of includes would cause the struct definition to be before the
> > place where the tracepoint macros were expanded. The fix is to move the
> > tracepoint include after the struct clk_core definition:
> >
> > -----8<----
> >
> > diff --git a/drivers/clk/clk.c b/drivers/clk/clk.c
> > index 9aee501b8284..392477033990 100644
> > --- a/drivers/clk/clk.c
> > +++ b/drivers/clk/clk.c
> > @@ -22,9 +22,6 @@
> >  #include <linux/init.h>
> >  #include <linux/sched.h>
> >
> > -#define CREATE_TRACE_POINTS
> > -#include <trace/events/clk.h>
> > -
> >  #include "clk.h"
> >
> >  static DEFINE_SPINLOCK(enable_lock);
> > @@ -80,6 +77,9 @@ struct clk_core {
> >         struct kref             ref;
> >  };
> >
> > +#define CREATE_TRACE_POINTS
> > +#include <trace/events/clk.h>
> > +
> >  struct clk {
> >         struct clk_core *core;
> >         const char *dev_id;
> 
> Acked-by: Geert Uytterhoeven <[email-masked]>

Thanks, I've rolled this into the offending commit.

Regards,
Mike

> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds